curl --request POST \
--url https://api.teleship.com/api/rates/quotes \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"shipTo": {
"name": "John",
"address": {
"line1": "2513 S Jackson St",
"city": "Seattle",
"postcode": "98144",
"state": "WA",
"country": "US"
}
},
"shipFrom": {
"name": "Jane",
"address": {
"line1": "3 Belvedere Pl",
"city": "London",
"postcode": "SE1 0AD",
"country": "GB"
}
},
"weight": {
"value": "1.2",
"unit": "kg"
},
"dimensions": {
"length": "40",
"width": "30",
"height": "16",
"unit": "cm"
},
"packageType": "parcel"
}
'{
"messages": [
{
"code": 123,
"level": "error",
"timestamp": "2024-01-01T00:00:00.00Z",
"message": "An error occurred",
"details": [
"Missing required field"
]
}
],
"rates": [
{
"price": "10.59",
"currency": "GBP",
"transit": 5,
"estimatedDelivery": "2024-01-01T00:00:00.00Z",
"service": {
"name": "<string>",
"code": "<string>",
"transit": 123,
"checkoutName": "<string>",
"description": "<string>",
"dispatchDays": 1,
"includeFirstMile": false,
"isActive": true,
"config": {
"isPostal": true
},
"id": "<string>"
},
"charges": [
{
"name": "base",
"amount": 22.77,
"currency": "GBP"
},
{
"name": "Duty",
"amount": 1.2,
"currency": "GBP"
},
{
"name": "VAT",
"amount": 0.5,
"currency": "GBP"
}
]
}
],
"commodities": [
{
"itemNumber": 123,
"title": "<string>",
"hsCode": "<string>",
"charges": [
{
"name": "Duty",
"amount": 1.2,
"currency": "GBP",
"rate": 0.1
}
],
"restrictions": [
{
"importRegion": "<string>",
"flag": "<string>",
"importRisk": "<string>",
"id": "<string>",
"countryOfOrigin": "AF",
"hts": "<string>",
"chapter": "<string>",
"message": "<string>",
"info": "<string>",
"capture": "<string>",
"metadata": {},
"serviceCode": "TELESHIP-EXPEDITED-PICKUP",
"shippingMethod": "RM-RETURN-T24",
"restrictionLevel": "FALSE",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
]
}
],
"scaleWeight": {
"value": "1.0",
"unit": "kg"
},
"dimWeight": {
"value": "1.0",
"unit": "kg"
},
"billWeight": {
"value": "1.0",
"unit": "kg"
}
}{
"messages": [
{
"code": 123,
"level": "error",
"timestamp": "2024-01-01T00:00:00.00Z",
"message": "An error occurred",
"details": [
"Missing required field"
]
}
]
}{
"messages": [
{
"code": 123,
"level": "error",
"timestamp": "2024-01-01T00:00:00.00Z",
"message": "An error occurred",
"details": [
"Missing required field"
]
}
]
}{
"messages": [
{
"code": 123,
"level": "error",
"timestamp": "2024-01-01T00:00:00.00Z",
"message": "An error occurred",
"details": [
"Missing required field"
]
}
]
}Get shipping quotes
Calculate and retrieve real-time shipping rates and quotes for your shipment.
How it works:
- Provide shipment details (origin, destination, weight, dimensions, etc.)
- Receive a list of available services, each with:
- Price breakdown (Freight, VAT, Duty, etc.)
- Estimated delivery date
- Service code and name
Example use case: Get instant shipping options for a checkout page or to compare costs for different service levels.
curl --request POST \
--url https://api.teleship.com/api/rates/quotes \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"shipTo": {
"name": "John",
"address": {
"line1": "2513 S Jackson St",
"city": "Seattle",
"postcode": "98144",
"state": "WA",
"country": "US"
}
},
"shipFrom": {
"name": "Jane",
"address": {
"line1": "3 Belvedere Pl",
"city": "London",
"postcode": "SE1 0AD",
"country": "GB"
}
},
"weight": {
"value": "1.2",
"unit": "kg"
},
"dimensions": {
"length": "40",
"width": "30",
"height": "16",
"unit": "cm"
},
"packageType": "parcel"
}
'{
"messages": [
{
"code": 123,
"level": "error",
"timestamp": "2024-01-01T00:00:00.00Z",
"message": "An error occurred",
"details": [
"Missing required field"
]
}
],
"rates": [
{
"price": "10.59",
"currency": "GBP",
"transit": 5,
"estimatedDelivery": "2024-01-01T00:00:00.00Z",
"service": {
"name": "<string>",
"code": "<string>",
"transit": 123,
"checkoutName": "<string>",
"description": "<string>",
"dispatchDays": 1,
"includeFirstMile": false,
"isActive": true,
"config": {
"isPostal": true
},
"id": "<string>"
},
"charges": [
{
"name": "base",
"amount": 22.77,
"currency": "GBP"
},
{
"name": "Duty",
"amount": 1.2,
"currency": "GBP"
},
{
"name": "VAT",
"amount": 0.5,
"currency": "GBP"
}
]
}
],
"commodities": [
{
"itemNumber": 123,
"title": "<string>",
"hsCode": "<string>",
"charges": [
{
"name": "Duty",
"amount": 1.2,
"currency": "GBP",
"rate": 0.1
}
],
"restrictions": [
{
"importRegion": "<string>",
"flag": "<string>",
"importRisk": "<string>",
"id": "<string>",
"countryOfOrigin": "AF",
"hts": "<string>",
"chapter": "<string>",
"message": "<string>",
"info": "<string>",
"capture": "<string>",
"metadata": {},
"serviceCode": "TELESHIP-EXPEDITED-PICKUP",
"shippingMethod": "RM-RETURN-T24",
"restrictionLevel": "FALSE",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
]
}
],
"scaleWeight": {
"value": "1.0",
"unit": "kg"
},
"dimWeight": {
"value": "1.0",
"unit": "kg"
},
"billWeight": {
"value": "1.0",
"unit": "kg"
}
}{
"messages": [
{
"code": 123,
"level": "error",
"timestamp": "2024-01-01T00:00:00.00Z",
"message": "An error occurred",
"details": [
"Missing required field"
]
}
]
}{
"messages": [
{
"code": 123,
"level": "error",
"timestamp": "2024-01-01T00:00:00.00Z",
"message": "An error occurred",
"details": [
"Missing required field"
]
}
]
}{
"messages": [
{
"code": 123,
"level": "error",
"timestamp": "2024-01-01T00:00:00.00Z",
"message": "An error occurred",
"details": [
"Missing required field"
]
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
The expected pickup/dropoff date. If provided this must be at least one non-holiday, business day in the future
"2024-01-01T00:00:00.00Z"
Gives the recipient information about the parcel in tracking emails.
100The type of package for the shipment
envelope, tube, parcel List of the parcel's contents for customs purposes. One entry for each item in the parcel.
Show child attributes
Show child attributes
Customs declaration details for the shipment
Show child attributes
Show child attributes
Additional services for the shipment
Show child attributes
Show child attributes
The request reference for the shipment
Customer information that will appear on the label. This can be used for pick and pack purposes, to help with parcel identification, or anything else the shipper needs.
Commercial invoice reference
The freight/shipping charge provided by the merchant at checkout. Used for accurate VAT-on-freight calculations.
Show child attributes
Show child attributes
Response
Show child attributes
Show child attributes
The available rates for the shipment
Show child attributes
Show child attributes
Classified and dutiable commodities info
Show child attributes
Show child attributes
The scale weight of the shipment
Show child attributes
Show child attributes
The dimensional weight of the shipment
Show child attributes
Show child attributes
The bill weight of the shipment
Show child attributes
Show child attributes
Was this page helpful?